<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
            <title>phpDocumentor</title>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">phpDocumentor</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="namespaces/inc.html" class="">Inc</a>
</h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/inc-api.html" class="">Api</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-base.html" class="">Base</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-defaultdata.html" class="">DefaultData</a>
                
            </li>
                    <li>
                <a href="namespaces/inc-pages.html" class="">Pages</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSI.html" class="">OERSI</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/Application.html" class="">Application</a>
</h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace">
    <a href="packages/OERSi.html" class="">OERSi</a>
</h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc.html">Inc</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc-pages.html">Pages</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/inc-pages-configuration.html">Configuration</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    ConfigurationAPI

        <span class="phpdocumentor-element__extends">
        extends <a href="classes/Inc-Base-BaseController.html"><abbr title="\Inc\Base\BaseController">BaseController</abbr></a>
    </span>
    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/OERSI.html">OERSI</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">25</span>

    </aside>

        








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                    <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#property_apiRoutes">$apiRoutes</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;            </span>
</dt>
<dd>A variable to store the api routes</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#property_apiRoutessss">$apiRoutessss</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#property_baseRoute">$baseRoute</a>
    <span>
                        &nbsp;: string            </span>
</dt>
<dd>A variable to store base route</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_plugin">$plugin</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginAssets">$pluginAssets</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginFileName">$pluginFileName</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginLogsDir">$pluginLogsDir</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginLogsFileName">$pluginLogsFileName</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginName">$pluginName</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginPath">$pluginPath</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginUrl">$pluginUrl</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Base-BaseController.html#property_pluginVersion">$pluginVersion</a>
    <span>
                        &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#property_restAPI">$restAPI</a>
    <span>
                        &nbsp;: <abbr title="\Inc\Pages\Configuration\restAPI">restAPI</abbr>            </span>
</dt>
<dd>A property to store the rest api class</dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Base-BaseController.html#method___construct">__construct()</a>
    <span>
                                &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#method_getConfiguration">getConfiguration()</a>
    <span>
                                &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>A callback function that we can use to get the elasticssearch config
it will return the elasticssearch config</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#method_register">register()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>A function that is called when we register it in the init method
 Register contain all the methods that we want to call when we register the plugin</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#method_setApiRoutes">setApiRoutes()</a>
    <span>
                                &nbsp;: void    </span>
</dt>
<dd>A function that we can add all the methods we want to add to the wordpress rest api
 it will assign the pages to the $this-&gt;apiRoutes array</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#method_getFields">getFields()</a>
    <span>
                                &nbsp;: mixed    </span>
</dt>
<dd></dd>

        </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_apiRoutes">
        $apiRoutes
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#property_apiRoutes" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">45</span>

    </aside>

        <p class="phpdocumentor-summary">A variable to store the api routes</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">array&lt;string|int, mixed&gt;</span>
    <span class="phpdocumentor-signature__name">$apiRoutes</span>
     = <span class="phpdocumentor-signature__default-value">[]</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_apiRoutessss">
        $apiRoutessss
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#property_apiRoutessss" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">47</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$apiRoutessss</span>
     = <span class="phpdocumentor-signature__default-value">\stdClass::class</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_baseRoute">
        $baseRoute
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#property_baseRoute" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">39</span>

    </aside>

        <p class="phpdocumentor-summary">A variable to store base route</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$baseRoute</span>
     = <span class="phpdocumentor-signature__default-value">&#039;&#039;</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_plugin">
        $plugin
        <a href="classes/Inc-Base-BaseController.html#property_plugin" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">22</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$plugin</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginAssets">
        $pluginAssets
        <a href="classes/Inc-Base-BaseController.html#property_pluginAssets" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">30</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginAssets</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginFileName">
        $pluginFileName
        <a href="classes/Inc-Base-BaseController.html#property_pluginFileName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">24</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginFileName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginLogsDir">
        $pluginLogsDir
        <a href="classes/Inc-Base-BaseController.html#property_pluginLogsDir" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">32</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginLogsDir</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginLogsFileName">
        $pluginLogsFileName
        <a href="classes/Inc-Base-BaseController.html#property_pluginLogsFileName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">34</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginLogsFileName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginName">
        $pluginName
        <a href="classes/Inc-Base-BaseController.html#property_pluginName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">26</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginPath">
        $pluginPath
        <a href="classes/Inc-Base-BaseController.html#property_pluginPath" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">18</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginPath</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginUrl">
        $pluginUrl
        <a href="classes/Inc-Base-BaseController.html#property_pluginUrl" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">20</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginUrl</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_pluginVersion">
        $pluginVersion
        <a href="classes/Inc-Base-BaseController.html#property_pluginVersion" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">28</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$pluginVersion</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_restAPI">
        $restAPI
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#property_restAPI" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">33</span>

    </aside>

        <p class="phpdocumentor-summary">A property to store the rest api class</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type"><abbr title="\Inc\Pages\Configuration\restAPI">restAPI</abbr></span>
    <span class="phpdocumentor-signature__name">$restAPI</span>
    </code>

    
    
    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method___construct">
        __construct()
        <a href="classes/Inc-Base-BaseController.html#method___construct" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Base/BaseController.php"><a href="files/inc-base-basecontroller.html"><abbr title="inc/Base/BaseController.php">BaseController.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">37</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">__construct</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getConfiguration">
        getConfiguration()
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#method_getConfiguration" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">93</span>

    </aside>

        <p class="phpdocumentor-summary">A callback function that we can use to get the elasticssearch config
it will return the elasticssearch config</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">getConfiguration</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_register">
        register()
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#method_register" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">56</span>

    </aside>

        <p class="phpdocumentor-summary">A function that is called when we register it in the init method
 Register contain all the methods that we want to call when we register the plugin</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">register</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_setApiRoutes">
        setApiRoutes()
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#method_setApiRoutes" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">72</span>

    </aside>

        <p class="phpdocumentor-summary">A function that we can add all the methods we want to add to the wordpress rest api
 it will assign the pages to the $this-&gt;apiRoutes array</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                    <span class="phpdocumentor-signature__name">setApiRoutes</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">void</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">void</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getFields">
        getFields()
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#method_getFields" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="inc/Pages/Configuration/ConfigurationAPI.php"><a href="files/inc-pages-configuration-configurationapi.html"><abbr title="inc/Pages/Configuration/ConfigurationAPI.php">ConfigurationAPI.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">121</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                    <span class="phpdocumentor-signature__name">getFields</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type">mixed&nbsp;</span><span class="phpdocumentor-signature__argument__name">$configuration</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

        <section class="phpdocumentor-description"></section>

        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$configuration</span>
                : <span class="phpdocumentor-signature__argument__return-type">mixed</span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                    <section class="phpdocumentor-description"></section>

            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/Inc-Pages-Configuration-ConfigurationAPI.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
